#!/bin/sh

exec_dir="/usr/bin"
doc_dir="/usr/doc/opera"
share_dir="/usr/share/opera"

# Root
  if [ `whoami` != 'root' ]
    then
      echo 'You need to be root to execute this command'
      echo 'Executing su'
      su root -c "./uninstall.sh"
      exit
  fi

# Confirmation
  echo 'This is the uninstall script for Opera.'
  echo 
  echo 'Files to be removed:'
  echo '--------------------'
  echo ' /usr/bin/opera'
  echo ' /usr/doc/opera/*'
  echo ' /usr/share/opera/*'
  echo ' /usr/share/icons/opera.xpm'
  echo ' /usr/share/pixmaps/opera.xpm'
  echo ' Menu entries'
  echo '--------------------'
  echo 'Are you sure you want to do this [y/n]?'

  read answer
  if [ "$answer" != "y" ] && [ "$answer" != "Y" ]
    then
      echo 'aborted.'
      exit
  fi

# Removing files
  rm -fv $exec_dir/opera
  rm -rfv $doc_dir
  rm -rfv $share_dir
  # Icons
    rm -fv /usr/share/icons/opera.xpm
    rm -fv /usr/share/pixmaps/opera.xpm
    kde2i=/opt/kde2/share/icons
    rm -fv $kde2i/hicolor/48x48/apps/opera.png
    rm -fv $kde2i/hicolor/32x32/apps/opera.png
    rm -fv $kde2i/hicolor/22x22/apps/opera.png
    rm -fv $kde2i/locolor/32x32/apps/opera.png
    rm -fv $kde2i/locolor/22x22/apps/opera.png
    rm -fv $kde2i/locolor/16x16/apps/opera.png


  # Menu Entries
    klnk=share/applnk/Internet/opera.desktop
    glnk=share/gnome/apps/Internet/opera.desktop
    rm -fv /etc/X11/applnk/Internet/opera.desktop
    rm -fv /etc/X11/wmconfig/opera
    # Kde 2
      rm -fv /opt/kde2/$klnk
      rm -fv /usr/share/applnk/Networking/WWW/opera.desktop
    # Kde
      rm -fv /opt/kde/$klnk
      rm -fv /usr/$klnk
    # Gnome
      rm -fv /opt/gnome/$glnk
      rm -fv /usr/$glnk

# Finalize
  echo
  echo 'Files not removed'
  echo '-----------------'
  echo '~/.opera/*'
  echo '-----------------'
  echo 'done.'


